@charset "UTF-8";
/**
 * Different states
 */
.focus.custom-editor-component ::ng-deep .tox-tinymce {
  border: 1px solid #0075a3;
  box-shadow: 0 0 0 0.2rem #b2e0f3;
}

.error.custom-editor-component ::ng-deep .tox-tinymce {
  border: 1px solid #d42f30;
  box-shadow: 0 0 0 0.2rem #d42f304d;
}
.error.custom-editor-component ::ng-deep .tox-tinymce .tox-edit-area:after {
  font-family: relatient, sans-serif;
  font-size: 12px;
  position: absolute;
  top: 9px;
  right: 9px;
  padding-left: 10px;
  content: "";
  color: #d42f30;
  background: white;
}
.error.custom-editor-component .helper-text {
  color: #d42f30;
}

.success.custom-editor-component ::ng-deep .tox-tinymce {
  border: 1px solid #208837;
  box-shadow: 0 0 0 0.2rem #2088374d;
}
.success.custom-editor-component ::ng-deep .tox-tinymce .tox-edit-area:after {
  font-family: relatient, sans-serif;
  font-size: 12px;
  position: absolute;
  top: 9px;
  right: 9px;
  padding-left: 10px;
  content: "";
  color: #208837;
  background: white;
}

/**
 * Custom editor component
 */
.custom-editor-component .header {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.custom-editor-component .header .required {
  font: 400 20px/22px Lato;
  margin-right: 6px;
  color: #d42f30;
}
.custom-editor-component .header .label {
  font: 400 16px/19px Lato;
  color: #263940;
}
.custom-editor-component ::ng-deep .tox-tinymce {
  border-radius: 4px;
}
.custom-editor-component ::ng-deep .tox-tinymce .tox-editor-container .tox-editor-header .tox-toolbar__primary {
  border-bottom: 1px solid #c9cacb;
  background: #f1f2f2;
  height: 40px;
}
.custom-editor-component ::ng-deep .tox-tinymce .tox-editor-container .tox-editor-header .tox-toolbar__group {
  padding: 0 10px;
  border-right: 1px solid #c9cacb;
}
.custom-editor-component ::ng-deep .tox-tinymce .tox-editor-container .tox-editor-header .tox-tbtn--select {
  user-select: none;
  background: #ffffff;
  border: 1px solid #C9CACB;
  font-family: Lato, sans-serif;
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
  line-height: 17px;
  color: #76797B;
  height: 22px;
}
.custom-editor-component ::ng-deep .tox-tinymce .tox-editor-container .tox-editor-header .tox-tbtn--select .tox-tbtn__select-chevron:before {
  font-family: "primeicons";
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  display: inline-block;
  -webkit-font-smoothing: antialiased;
  content: "";
}
.custom-editor-component ::ng-deep .tox-tinymce .tox-editor-container .tox-editor-header .tox-tbtn--select .tox-tbtn__select-chevron svg {
  display: none;
}
.custom-editor-component .helper-text {
  font: 400 16px/24px Lato;
  margin-top: 6px;
  margin-left: 14px;
}

/*# sourceMappingURL=custom-editor.component.css.map */
